%define realname DOMXML
%define modname domxml
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 19_%{modname}.ini

%define mod_src php_domxml.c
%define mod_lib "-lxml2 -lz -lm -lc -lexslt -lxslt -I%{_includedir}/libexslt -I%{_includedir}/libxml2"
%define mod_def "-DCOMPILE_DL_DOMXML -DLIBXML_HTML_ENABLED -DLIBXML_XPATH_ENABLED -DLIBXML_XPTR_ENABLED -DHAVE_DOMEXSLT -DHAVE_DOMXML -DHAVE_DOMXSLT -DXML_GLOBAL_NAMESPACE"

Summary:	The %{realname} module for PHP
Name:		php-%{modname}
Version:	20030407
Release:	%mkrel 22
Group:		Development/PHP
License:	PHP License
URL:		http://www.php.net
Source0:	php-domxml.tar.bz2
Patch0:		php-domxml-antibork.diff
BuildRequires:  php-devel >= 3:5.2.0
BuildRequires:	libxslt-devel libxml2-devel
Conflicts:	php-dom
BuildRoot:	%{_tmppath}/%{name}-root

%description
This extension allows you to operate on an XML document with the DOM API. It
has been superseded by the DOM extension that ships with PHP 5.
 
Although it should be possible to use this old domxml extension with PHP 5, its
use is highly discouraged, as there a very high potential for conflicts with
the new dom extension.
  
If you are migrating from PHP 4 to PHP 5, the recommended best-practice is to
port your domxml code to the much better dom code.
   
If you really must build domxml, you will need to obtain the sources from CVS
and build them yourself.
    
See http://www.php.net/manual/en/install.pecl.php for instructions.
     
NOTE: if you're running PHP 4.x, the domxml is already part of the
distribution.

NOTE: This extension has symbol clashes with the php-dom package, do not use
both at the same time.

%prep

%setup -n php-domxml
%patch0 -p0

perl -p -i -e "s|#include <libxml/|#include <libxml2/libxml/|g" php_domxml.*

%build
%serverbuild

#%{_usrsrc}/php-devel/buildext %{modname} %{mod_src} %{mod_lib} %{mod_def}

phpize
%configure2_5x \
    --with-dom=shared,%{_prefix} \
    --with-dom-xslt=%{_prefix} \
    --with-dom-exslt=%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
To activate it, make sure a file /etc/php.d/%{inifile} is present and
contains the line 'extension = %{soname}'.
EOF

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Mon Feb 04 2008 Oden Eriksson <oeriksson@mandriva.com> 20030407-22mdv2008.1
+ Revision: 162217
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 20030407-21mdv2008.1
+ Revision: 107611
- restart apache if needed

* Sat Sep 01 2007 Oden Eriksson <oeriksson@mandriva.com> 20030407-20mdv2008.0
+ Revision: 77535
- rebuilt against php-5.2.4

* Fri Jun 15 2007 Oden Eriksson <oeriksson@mandriva.com> 20030407-19mdv2008.0
+ Revision: 40053
- rebuild
- use distro conditional -fstack-protector

* Fri Jun 01 2007 Oden Eriksson <oeriksson@mandriva.com> 20030407-17mdv2008.0
+ Revision: 33804
- rebuilt against new upstream version (5.2.3)

* Thu May 03 2007 Oden Eriksson <oeriksson@mandriva.com> 20030407-16mdv2008.0
+ Revision: 21323
- rebuilt against new upstream version (5.2.2)


* Thu Feb 08 2007 Oden Eriksson <oeriksson@mandriva.com> 20030407-15mdv2007.0
+ Revision: 117565
- rebuilt against new upstream version (5.2.1)

* Wed Nov 08 2006 Oden Eriksson <oeriksson@mandriva.com> 20030407-13mdv2007.0
+ Revision: 78061
- rebuilt for php-5.2.0
- Import php-domxml

* Mon Aug 28 2006 Oden Eriksson <oeriksson@mandriva.com> 20030407-12
- rebuilt for php-5.1.6

* Thu Jul 27 2006 Oden Eriksson <oeriksson@mandriva.com> 20030407-11mdk
- rebuild

* Sat May 06 2006 Oden Eriksson <oeriksson@mandriva.com> 20030407-10mdk
- rebuilt for php-5.1.4

* Sat May 06 2006 Oden Eriksson <oeriksson@mandriva.com> 20030407-9mdk
- rebuilt for php-5.1.3

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 20030407-8mdk
- rebuilt against php-5.1.2

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 20030407-7mdk
- rebuilt against php-5.1.1

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 20030407-6mdk
- rebuilt against php-5.1.0

* Thu Nov 03 2005 Oden Eriksson <oeriksson@mandriva.com> 20030407-5mdk
- rebuilt against php-5.1.0RC4
- fix deps

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 20030407-4mdk
- rebuilt to provide a -debug package too

* Mon Oct 03 2005 Oden Eriksson <oeriksson@mandriva.com> 20030407-3mdk
- rebuilt against php-5.1.0RC1

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 20030407-2mdk
- make it conflict with php-dom

* Tue Aug 16 2005 Oden Eriksson <oeriksson@mandriva.com> 20030407-1mdk
- new code from CVS, built for php-5.0.4, higly experimental...

* Tue Jul 12 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- rebuilt for php-4.4.0 final

* Wed Jul 06 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Wed Jun 15 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Fri Jun 03 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11-1mdk
- renamed to php4-*

* Sun Apr 17 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11-1mdk
- 4.3.11

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-5mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-4mdk
- rebuilt against a non hardened-php aware php lib

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-3mdk
- cleanups

* Sat Jan 15 2005 Pascal Terjan <pterjan@mandrake.org> 4.3.10-2mdk
- rebuild

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10-1mdk
- rebuild for 4.3.10

* Sat Oct 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9-1mdk
- rebuild for php 4.3.9

* Thu Jul 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8-1mdk
- rebuilt for php-4.3.8

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7-2mdk
- remove redundant provides

* Tue Jun 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6-2mdk
- use php4ize
- use the %%configure2_5x macro
- move scandir to /etc/php4.d

* Thu May 06 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6-1mdk
- built for php 4.3.6

